Harry Potter: Wizards Unite "Your device is not compatible with this version" [How to fix]

Who I am
Alejandra Rangel
@alejandrarangel

Harry Potter: Wizards Unite was released on 20/06/2019 in the US and UK. Hence, many users received the error message “Your device is not compatible with this version” when they were trying to install the game on the Google Play Store. Even though the users' devices are new and have all the required functionality, the error message is still visible. The error message indicates that Wizards Unite cannot be installed using the Google Play Store. Do not worry! We have a solution to correct this error.




Which phones are compatible with Wizards Unite?

To fix this error, you have only one way - install the latest Wizards Unite APK file. Continue reading the guide, applying the following steps, you will be able to install the Wizards Unite APK file. Then, you will be able to play Wizards Unite on your phone.

Harry Potter: Wizards Unite "Your device is not compatible with this version" [How to fix]

Harry Potter: Wizards Unite creates a connection between the real world and the wizarding world and allows players to experience a deep and intense atmosphere of the Harry Potter universe. Especially with the connection you will make with real world objects, the game guarantees magical moments to its players.

Niantic used everything, including past experiences and player feedback, to develop a perfect game. Harry Potter: Wizards Unite connects two different worlds to each other and is a great pleasure to play.


Download Harry Potter: Wizards Unite APK File

Using the link below, you can download the APK file of the Wizards Unite game. The APK file helps you to install and play on all compatible devices without the Play Store



NOTICE: the version of the Wizards Unite APK file is 2.0.1. It is the latest version of the game.

Harry Potter: Wizards Unite APK DOWNLOAD

How to install Harry Potter: Wizards Unite APK?

  1. To install the Wizards Unite file you need to provide permission called “Install Unknown Apps”. To authorize, go to the "Settings" panel and search for "Install unknown apps".
  2. Applications that have been installed on your phone will be listed. The APK file that is downloaded will be in the Downloads folder. The Downloads folder is located in the "My Files" folder, so find the "My Files" app and tap on it. The page that was opened contains the “Allow from this source” setting. It must be turned on. You need to activate the setting.
  3. Then, find the Wizards Unite APK file and tap on it. You will see the message containing “Do you want to install this application?”. Tap the "Install" button at the bottom.
  4. After installing Wizards Unite, tap the "Open" button.
  5. Congratulations! The game is installed and can be played.

Supported Phones and System Requirements

Harry Potter: Wizards Unite was released for iOS and Android. The game is developed and designed with augmented reality support, so you need a device that supports GPS and location technology along with proper internet connection. Also, you need enough RAM to run the game.




You can read the system requirements for playing Harry Potter: Wizards Unite and see the list of supported phones by clicking here

Visit our Harry Potter: Wizards Unite section

add a comment of Harry Potter: Wizards Unite "Your device is not compatible with this version" [How to fix]
Comment sent successfully! We will review it in the next few hours.